Ad

'GoogleUtilities/GULAppEnvironmentUtil.h' File Not Found

Trying to compile my project after adding some pods. While compiling it gives below error

'GoogleUtilities/GULAppEnvironmentUtil.h' file not found

Podfile.lock snippet

- FirebaseCore (5.1.1):
        - GoogleUtilities/Logger (~> 5.2)
      - FirebaseDynamicLinks (3.0.2):
        - FirebaseAnalytics (~> 5.1)
      - FirebaseInAppMessaging (0.11.0):
        - FirebaseAnalytics (~> 5.1)
        - FirebaseCore (~> 5.1)
        - FirebaseInstanceID (~> 3.2)
        - GoogleUtilities/Environment (~> 5.0)
      - FirebaseInstanceID (3.2.1):
        - FirebaseCore (~> 5.1)
        - GoogleUtilities/Environment (~> 5.2)
      - FirebaseMessaging (3.1.0):
        - FirebaseCore (~> 5.0)
        - FirebaseInstanceID (~> 3.0)
        - GoogleUtilities/Reachability (~> 5.2)
        - Protobuf (~> 3.1)
      - FirebaseRemoteConfig (3.0.1):
        - FirebaseABTesting (~> 2.0)
        - FirebaseAnalytics (~> 5.1)
        - FirebaseCore (~> 5.1)
        - FirebaseInstanceID (~> 3.2)
        - GoogleUtilities/Environment (~> 5.2)
        - "GoogleUtilities/NSData+zlib (~> 5.2)"
        - Protobuf (~> 3.5)
      - Google/Analytics (2.0.4):
        - Google/Core
        - GoogleAnalytics (~> 3.12)
      - Google/Core (2.0.4):
        - GoogleInterchangeUtilities (~> 1.0)
        - GoogleNetworkingUtilities (~> 1.0)
        - GoogleSymbolUtilities (~> 1.0)
        - GoogleUtilities (~> 1.1)
Ad

Answer

In the Podfile, change Google/Analytics to GoogleAnalytics. The Google pod is deprecated and not compatible with recent Firebase versions.

An alternative, but not recommended workaround, could be to lock the Firebase version to something less than 5.5.

UPDATE: June 2021: There is a Crashlytics podspec bug that can also cause this issue. The workaround is to explicitly add GoogleUtilities/Environment to the Podfile or move use_frameworks! to the top of the Podfile. Details in https://github.com/firebase/firebase-ios-sdk/issues/8137. The issue will be fixed in the upcoming Firebase 8.3.0 release.

Ad
source: stackoverflow.com
Ad